name: hoopl
version: 3.10.2.2
id: hoopl-3.10.2.2
key: hoopl-3.10.2.2
license: BSD3
maintainer: Ning Wang <email@ningwang.org>, Michal Terepeta <michal.terepeta@gmail.com>, Norman Ramsey <nr@cs.tufts.edu>
homepage: https://github.com/haskell/hoopl
synopsis: A library to support dataflow analysis and optimization
description:
    Higher-order optimization library
    .
    See /Norman Ramsey, Joao Dias, and Simon Peyton Jones./
    <http://research.microsoft.com/en-us/um/people/simonpj/Papers/c--/hoopl-haskell10.pdf "Hoopl: A Modular, Reusable Library for Dataflow Analysis and Transformation"> /(2010)/ for more details.
category: Compilers/Interpreters
author: Norman Ramsey, Joao Dias, Simon Marlow and Simon Peyton Jones
exposed: True
indefinite: False
exposed-modules:
    Compiler.Hoopl Compiler.Hoopl.Internals Compiler.Hoopl.Passes.DList
    Compiler.Hoopl.Passes.Dominator Compiler.Hoopl.Wrappers
hidden-modules: Compiler.Hoopl.Checkpoint
                Compiler.Hoopl.Collections Compiler.Hoopl.Combinators
                Compiler.Hoopl.Dataflow Compiler.Hoopl.Debug Compiler.Hoopl.Block
                Compiler.Hoopl.Graph Compiler.Hoopl.Label Compiler.Hoopl.MkGraph
                Compiler.Hoopl.Fuel Compiler.Hoopl.Pointed Compiler.Hoopl.Shape
                Compiler.Hoopl.Show Compiler.Hoopl.Unique Compiler.Hoopl.XUtil
abi: fba95b53cc866ebb1156f04fb02ca607
trusted: False
import-dirs: /tmp/build/80754af9/ghc_1620299584225/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/lib/ghc-8.2.2/hoopl-3.10.2.2
library-dirs: /tmp/build/80754af9/ghc_1620299584225/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/lib/ghc-8.2.2/hoopl-3.10.2.2
dynamic-library-dirs: /tmp/build/80754af9/ghc_1620299584225/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/lib/ghc-8.2.2/hoopl-3.10.2.2
data-dir: /tmp/build/80754af9/ghc_1620299584225/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/share/x86_64-linux-ghc-8.2.2/hoopl-3.10.2.2
hs-libraries: HShoopl-3.10.2.2
depends:
    base-4.10.1.0 containers-0.5.10.2
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             containers-0.5.10.2=cc49645af4ed58d1819a7e09ee1f7920
haddock-interfaces: /tmp/build/80754af9/ghc_1620299584225/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/share/doc/ghc-8.2.2/html/libraries/hoopl-3.10.2.2/hoopl.haddock
haddock-html: /tmp/build/80754af9/ghc_1620299584225/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_/share/doc/ghc-8.2.2/html/libraries/hoopl-3.10.2.2
